Cemu - Bug #401

Mario Kart 8 CTD 4P splitscreen mode 60FPS gfx pack on 1.20.2b (log inside)
08/21/2020 09:12 PM - TheManuel

Status: Closed Start date: 08/21/2020
Priority: Normal

Assignee:

Category: General

API: Vulkan GPU Vendor/Model:  AMD RX 5700
Cemu Version: 1.20.2b

Description

Mario Kart 8 crashes to desktop randomly after 5-15min of gameplay in 4P splitscreen mode, when using the 60FPS gfx pack.
| first noticed it on 1.20.2b and it does not happen with 1.19.3.

It is random and it can take anywhere from 5 to 15 minutes to happen but it does eventually.

It can happen in the middle of a race or when starting or ending one.

Happens with old or fresh cache files (all three types of cache), with and without async shader compilation.

It does not happen when playing in single player mode.

Log:

[18:30:07] ------- Init Cemu 1.20.2b -------

[18:30:07] Init Wii U memory space (base: 0x1e37fad0000)
[18:30:07] mic01 path: C:\Console\WiiU\cemu\mlIcO1\

[18:30:07] Cemuhook version: 0.5.7.3

[18:30:07] CPU: Intel(R) Core(TM) i3-8350K CPU @ 4.00GHz
[18:30:07] RAM: 16329MB

[18:30:07] Used CPU extensions: SSSE3, SSE4.1, AVX2, AES-NI
[18:33:00] Loading Turbo.rpx

[18:33:00] ------- Init Vulkan graphics backend -------

[18:33:00] Using GPU: AMD Radeon RX 5700

[18:33:00] Driver version (as stored in device info): 00800091
[18:33:00] Enable robust buffer access

[18:33:00] Vulkan device memory info:

[18:33:00] Heap 0 - Size 7920MB Flags 0x00000003

[18:33:00] Heap 1 - Size 7908MB Flags 0x00000000

[18:33:00] Heap 2 - Size 256MB Flags 0x00000003

[18:33:00] Memory 0 - Heaplndex 0 Flags 0x00000001

[18:33:00] Memory 1 - HeaplIndex 1 Flags 0x00000006

[18:33:00] Memory 2 - Heaplndex 2 Flags 0x00000007

[18:33:00] Memory 3 - Heaplindex 1 Flags 0x0000000e

[18:33:00] Memory 4 - Heaplindex 0 Flags 0x000000c1

[18:33:00] Memory 5 - Heaplndex 1 Flags 0x000000c6

[18:33:00] Memory 6 - Heaplndex 2 Flags 0x000000c7

[18:33:00] Memory 7 - Heaplndex 1 Flags 0x000000ce

[18:33:00] VK_FORMAT_D24 _UNORM_S8_UINT not supported
[18:33:00] VK_FORMAT_R4G4_UNORM_PACKS8 missing features: COLOR_ATTACHMENT COLOR_ATTACHMENT_BLEND
[18:33:00] Vulkan: can't find mailbox present mode

[18:33:00] Vulkan: can't find mailbox present mode

[18:33:00] COS: System fonts found. Generated shareddata (25433KB)
[18:33:00] Loaded RPL module turbo (checksum 0xD09700CE)
[18:33:00] ------- Loaded title -------

[18:33:00] Titleld: 00050000-1010ec00

[18:33:00] TitleVersion: v64

[18:33:00] Update path: \usr\title\0005000e\1010ec00\

[18:33:00] AOC path: \usrtitle\0005000c\1010ec00\

[18:33:00] Save path: \usr\save\00050000\1010EC00\usen
[18:33:00] Shader cache file: shaderCache\transferable\000500001010ec00.bin
[18:33:00] gameprofile path: gameProfiles\default\000500001010ec00.ini
[18:33:00] RPX hash (updated): 85887bc1

[18:33:00] RPX hash (base): 9708a1d3

[18:33:00] Loaded RPL module mvplayer (checksum 0x1E5181E7)
[18:33:00] Loaded module 'turbo’ with checksum 0xd09700ce
[18:33:00] Loaded module 'mvplayer' with checksum 0x1e5181e7
[18:33:00] RPL link time: 47ms

[18:33:00] HLE scan time: 31ms

[18:33:00] ------- Active settings -------

[18:33:00] CPU-Mode: Single-core recompiler (gameprofile)
[18:33:00] Load shared libraries: true

[18:33:00] Use precompiled shaders: auto (gameprofile)
[18:33:00] Full sync at GX2DrawDone: true

[18:33:00] Async compile: true

[18:33:00] Console region: Auto

[18:33:00] Console language: English

[18:33:00] Vulkan-Info:

Allocated additional memory for textures from device-local memory

[18:33:00] ------- Activate graphic packs -------

[18:33:00] Applying patch group 'MK8FullDrawVer4_1'

[18:33:00] Activate graphic pack: Mario Kart 8/Mods/60FPS in splitscreen

[18:33:00] Applying patch group 'MK8AspectVer4_1' (Codecave: 01800000-01800018)
[18:33:00] Activate graphic pack: Mario Kart 8/Graphics/Resolution [Presets: 3840x2160]

[18:33:00] Activate graphic pack: Mario Kart 8/Graphics/Shadow Resolution [Presets: Ultra (300%)]

[18:33:00] ------- Init Audio backend -------
[18:33:00] DirectSound: available

[18:33:00] XAudio 2.8: available

[18:33:00] ------- Run title -------

[18:33:00] Vulkan: can't find mailbox present mode
[18:33:00] Vulkan: can't find mailbox present mode

[18:33:06] Shader cache loaded with 12131 shaders. Commited mem 1234MB. Took 5924ms

[18:33:06] Recompiler initialized. CPU extensions: LZCNT MOVBE AVX
[18:33:06] Custom timer mode: none

[18:33:06] Applying patch group MK8FullDrawVer4_1 from pack '60FPS with 3/4P splitscreen mode' v3 to module turbo (checksum

0xD09700CE)

[18:33:06] Applying patch group MK8AspectVerd_1 from pack 'Resolution' v3 to module turbo (checksum 0xD09700CE)

[18:33:06] IOSU_CRYPTO: No otp.bin found. Online mode cannot be used
[18:33:06] IOSU_CRYPTO: No Seeprom.bin found. Online mode cannot be used

[18:33:06] IOSU_ACT:

using account default in first slot

[18:33:06] Loaded RPL module mw_shamo (checksum 0x6778FB86)
[18:33:07] Loaded module 'mw_shamo' with checksum 0x6778fb86
[18:33:07] Loaded RPL module mw_shamo_sbc (checksum 0xA594053C)
[18:33:07] Loaded module 'mw_shamo_sbc' with checksum 0xa594053¢

[18:33:07] Vulkan-Info:

Allocated additional memory for textures from device-local memory

[18:33:08] Vulkan: can't find mailbox present mode
[18:33:08] Vulkan: can't find mailbox present mode

[18:33:09] Vulkan-Info:
[18:33:09] Vulkan-Info:
[18:33:28] Vulkan-Info:
[18:33:42] Vulkan-Info:
[18:33:42] Vulkan-Info:
[18:33:42] Vulkan-Info:
[18:33:43] Vulkan-Info:
[18:33:44] Vulkan-Info:
[18:35:27] Vulkan-Info:
[18:37:12] Vulkan-Info:
[18:40:17] Vulkan-Info:

Allocated additional memory for textures from device-local memory
Allocated additional memory for textures from device-local memory
Allocated additional memory for textures from device-local memory
Allocated additional memory for textures from device-local memory
Allocated additional memory for textures from device-local memory
Allocated additional memory for textures from device-local memory
Allocated additional memory for textures from device-local memory
Allocated additional memory for textures from device-local memory
Allocated additional memory for textures from device-local memory
Allocated additional memory for textures from device-local memory
Allocated additional memory for textures from device-local memory

Crashlog for Cemu 1.20.2b
Date: 20-08-2020 18:50:14

Stack trace

Exception 0xc0000005 at 0x1e3455ea34e
cemu.exe at 0x7ff6a84f0000

RAX=00000000433ad918 RBX=000000004339b884 RCX=0000000043390874 RDX=000000007c2018dc
RSP=000001e49c1c3e50 RBP=000000007ffffc40 RDI=00000000433ad91¢c RSI=0000000000000000

R8 =00000000433ad93c R9 =0000000000004000 R10=0000000000000001 R11=00000000433ad914
R12=000000004339a004 R13=000001e37fad0000 R14=000000004339b884 R15=000001e49d2f0000
Game info

Game: MARIO KART 8 [US v64]
Titleld: 500001010ec00
RPXHash: 9708a1d3

Active PPC instance

IP 0x0274c008 LR 0x020825a8 Thread 0x7¢2021f0

PPC threads

7c2021f0 Ent 00000000 IP 02124098 LR 0212d9ac RUNNING Aff 010 Pri 80 Name Default Core 1

1e55dc48 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 010 Pri 81 Name Prepare Thread
1e5852b0 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 100 Pri 80 Name WorkerMgr/Worker1(?)
1e58db48 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 001 Pri 80 Name WorkerMgr/Worker2(?)
1e65b048 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 001 Pri 88 Name CourseDecomp
1e641778 Ent 0274cd6c IP 00e00e6¢c LR 0274c584 SUSPENDED Aff 100 Pri 88 Name BackgroundLoad
2e6b42a8 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 010 Pri 81 Name SaveDataManager
3770e9c¢8 Ent 02a14730 IP 029f9600 LR 0299600 SUSPENDED Aff 010 Pri 88 Name Pia BackgroundScheduler
383e2cc8 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 100 Pri 79 Name Network::Send
3757b560 Ent 0274cd6c IP 028d6b08 LR 028d6b08 WAITING Aff 001 Pri 79 Name enl::TaskThread

3749f290 Ent 0274cd6c IP 0240a14c LR 0240a14c WAITING Aff 010 Pri 89 Name NetworkTaskThread
3859d7e0 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 100 Pri 81 Name sead::AudioTaskThread
7¢32f820 Ent 00e1aa80 IP 00e1aa80 LR 00e00000 SUSPENDED Aff 100 Pri 14 Name NULL

101e7aa0 Ent 02a8fe88 IP 00e00e6¢c LR 02a90014 SUSPENDED Aff 100 Pri 67 Name nw::snd::TaskThread
3a193168 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 100 Pri 79 Name UlMoviePlayerThread
3a308418 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 100 Pri 88 Name UlLoadThread
3b039360 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 010 Pri 88 Name UIMiiThread

3b1282b8 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 010 Pri 88 Name UlScalableFont
3a30ch28 Ent 0274cd6c IP 00e00e6c LR 0274c584 SUSPENDED Aff 010 Pri 88 Name UIMiiThread

1e5642a0 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 100 Pri 78 Name AudioTaskProxyThread
383d96a8 Ent 0274cd6c IP 00e00e6¢ LR 0274c¢584 SUSPENDED Aff 010 Pri 80 Name AocSyncThread
433f6a58 Ent 0274cd6c IP 00e00e6¢ LR 0274c584 SUSPENDED Aff 001 Pri 82 Name RecorderThread

History

#1 - 04/11/2021 11:51 PM - Serfrost

- Status changed from New to Closed

Issues caused by mods aren't to be patched by the Cemu Devs; this needs to be fixed or patched using a/the graphicPack in question.
